[liblocales-perl] 01/05: Add repackaging framework to get rid of third-party files

gregor herrmann gregoa at debian.org
Mon Jul 21 21:51:50 UTC 2014


This is an automated email from the git hooks/post-receive script.

gregoa pushed a commit to branch master
in repository liblocales-perl.

commit 33b0246dd422ef65412614b50e558b97383a567d
Author: gregor herrmann <gregoa at debian.org>
Date:   Mon Jul 21 23:44:04 2014 +0200

    Add repackaging framework to get rid of third-party files
    
    and tools in the source package, which are only needed by upstream.
---
 debian/copyright    |  6 ++++
 debian/repack.local |  4 +++
 debian/repack.stub  | 91 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 debian/watch        |  4 ++-
 4 files changed, 104 insertions(+), 1 deletion(-)

diff --git a/debian/copyright b/debian/copyright
index 47360e8..dc1ab4b 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -2,6 +2,8 @@ Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: Locales
 Upstream-Contact: Daniel Muey <dmuey at cpan.org>
 Source: https://metacpan.org/release/Locales
+Comment: the +ds version is created by removing the share and _build tools
+ which are only needed by upstream and contain third party files.
 
 Files: *
 Copyright: 2009, Daniel Muey <dmuey at cpan.org>
@@ -14,6 +16,10 @@ Copyright: 2010, Ernesto Hernández-Novich (USB) <emhn at usb.ve>
  2011-2014, gregor herrmann <gregoa at debian.org>
 License: Artistic or GPL-1+
 
+Files: debian/repack.stub
+Copyright: 2009, Ryan Niebur <ryan at debian.org>
+License: Artistic or GPL-1+
+
 License: Artistic
  This program is free software; you can redistribute it and/or modify
  it under the terms of the Artistic License, which comes with Perl.
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100644
index 0000000..50f3112
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,4 @@
+SUFFIX=+ds
+MANIFEST=1
+rm share
+rm _build
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100755
index 0000000..7e36f5f
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sourced under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=head1 COPYRIGHT AND LICENSE
+
+Copyright 2009, Ryan Niebur <ryan at debian.org>
+
+This program is free software; you can redistribute it and/or modify it
+under the same terms as Perl itself.
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -x /usr/share/pkg-perl-tools/repack.sh ]; then
+        REPACK_SH='/usr/share/pkg-perl-tools/repack.sh'
+    elif [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git;a=blob_plain;f=scripts/repack.sh;hb=HEAD"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/watch b/debian/watch
index 07c0484..915df55 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,2 +1,4 @@
 version=3
-https://metacpan.org/release/Locales   .*/Locales-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
+opts=dversionmangle=s/\+ds$// \
+	https://metacpan.org/release/Locales   .*/Locales-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ \
+	debian sh debian/repack.stub

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/liblocales-perl.git



More information about the Pkg-perl-cvs-commits mailing list